local addonName, UCM = ...

local T = LibStub("MSA-Tutorials-1.0")

local db, dbChar
local mediaPath = "Interface\\AddOns\\"..addonName.."\\media\\"
local helpName = "UCM_helpTutorial"
local helpNumPages = 1
local cTitle = "|cffffd200"
local cBold = "|cff00ffe3"
local cWarning = "|cffff7f00"
local cWarning2 = "|cffff4200"
local cDots = "|cff808080"
local offs = "\n|T:1:9|t"
local offs2 = "\n|T:1:18|t"
local beta = "|cffff7fff[Beta]|r"
local new = "|cffff7fff[NEW]|r"
local title = addonName

local WHATSNEW_TEXT_1 = "" ..
[[ 

- Added new function "Split <, (( and other emote tags" to option menu.
- Corrected project URL
- Added what's new dialog

]] .. "|n"


function UCM_SetupTutorials(profil)
	T.RegisterTutorial(helpName, {
		savedvariable = profil.whatsnew_version,
		key = helpName,
		title = title.." |cffffffff".."1.9.22".."|r",
		icon = mediaPath.."ucm_logo",
		font = "Fonts\\FRIZQT__.TTF",
		width = 552,
		imageHeight = 256,
		{	-- 1
			-- image = helpPath.."help_kaliels-tracker",
			text = cTitle..title.."|r\n\n"..
					"New features:\n"..
					WHATSNEW_TEXT_1,
			shine = false,
			shineTop = 5,
			shineBottom = -5,
			shineLeft = -6,
			shineRight = 6,
		},
		onShow = function(self, i)
		end
	})
end

function UCM_ShowHelp(index)
    -- InterfaceOptionsFrame:Hide()
	
	T.ResetTutorial(helpName)
	T.TriggerTutorial(helpName, helpNumPages, index or false)
end

function UCM_ShowHelpLogin(profil)
	UCM:DLAPI_DebugPrint(UCM)
	UCM:DLAPI_DebugPrint(profil)
	UCM:DLAPI_DebugPrint(profil.whatsnew_version)

	UCM_SetupTutorials(profil)

	if helpNumPages ~= profil.whatsnew_version.version then
		local data = T.GetTutorial(helpName)
		local index = profil.whatsnew_version.version
		if index then
			index = 0
		else
			index = profil.whatsnew_version.version
		end

		UCM:DLAPI_DebugPrint("index: "..index)
		T.ResetTutorial(helpName)
		T.TriggerTutorial(helpName, helpNumPages, last)
		profil.whatsnew_version.version = helpNumPages
	end
end
